Compare commits

..

2 Commits

Author SHA1 Message Date
Jose Pinto fdc75d1e48 Added T-REX support to noptilus aux CPUs. 2017-06-06 11:43:21 +01:00
Jose Pinto 62265def46 Added T-REX to noptilus auxiliary cpus. 2017-06-06 08:52:21 +01:00
124 changed files with 2156 additions and 24856 deletions

1
.gitignore vendored
View File

@ -11,4 +11,3 @@
/ntnu-b2xx
/stamp9g20
/lctr-rpi
build.bash

View File

@ -1,6 +0,0 @@
cfg_target_canonical="armv11-$cfg_glued_vendor-linux-gnueabi"
cfg_target_linux='arm'
cfg_target_uboot_arch='arm'
cfg_target_gcc_flags='-O2 -pipe -funit-at-a-time -mcpu=cortex-a72 -mtune=cortex-a72 -mfloat-abi=hard -mfpu=neon-fp-armv8'
cfg_target_gcc_configure_flags='--with-cpu=cortex-a72 --with-tune=cortex-a72 --with-fpu=neon-fp-armv8 --with-float=hard'
cfg_target_ar_flags='aarch64-elf'

View File

@ -35,4 +35,3 @@ RUN apt-get install -y git
RUN apt-get install -y g++-multilib
RUN apt-get install -y cmake
RUN apt-get install -y file
RUN apt-get install -y kmod

View File

@ -23,10 +23,9 @@
TAG := glued
VERSION := 2016.05.0
VOLUME := $(CURDIR)/..
DNS := 8.8.8.8
all:
docker build -t $(TAG):$(VERSION) .
shell:
docker run -w $(VOLUME) --dns=$(DNS) -i -a stdin -a stdout -v $(VOLUME):$(VOLUME) -t $(TAG):$(VERSION)
docker run -w $(VOLUME) -i -a stdin -a stdout -v $(VOLUME):$(VOLUME) -t $(TAG):$(VERSION)

View File

@ -1,6 +1,6 @@
###########################################################################
# GLUED: GNU/Linux Uniform Environment Distribution #
# Copyright (C) 2007-2019 Universidade do Porto - Faculdade de Engenharia #
# Copyright (C) 2007-2017 Universidade do Porto - Faculdade de Engenharia #
# Laboratório de Sistemas e Tecnologia Subaquática (LSTS) #
###########################################################################
# This program is free software; you can redistribute it and/or modify #

View File

@ -1,7 +1,7 @@
#! /bin/bash
###########################################################################
# GLUED: GNU/Linux Uniform Environment Distribution #
# Copyright (C) 2007-2019 Universidade do Porto - Faculdade de Engenharia #
# Copyright (C) 2007-2017 Universidade do Porto - Faculdade de Engenharia #
# Laboratório de Sistemas e Tecnologia Subaquática (LSTS) #
###########################################################################
# This program is free software; you can redistribute it and/or modify #
@ -23,7 +23,7 @@
###########################################################################
# Config: GLUED version.
cfg_glued_version='2017.11'
cfg_glued_version='2016.05'
# Config: GLUED vendor.
cfg_glued_vendor='lsts'

View File

@ -1,7 +1,7 @@
#! /bin/bash
###########################################################################
# GLUED: GNU/Linux Uniform Environment Distribution #
# Copyright (C) 2007-2019 Universidade do Porto - Faculdade de Engenharia #
# Copyright (C) 2007-2017 Universidade do Porto - Faculdade de Engenharia #
# Laboratório de Sistemas e Tecnologia Subaquática (LSTS) #
###########################################################################
# This program is free software; you can redistribute it and/or modify #

View File

@ -1,7 +1,7 @@
#! /bin/bash
###########################################################################
# GLUED: GNU/Linux Uniform Environment Distribution #
# Copyright (C) 2007-2019 Universidade do Porto - Faculdade de Engenharia #
# Copyright (C) 2007-2017 Universidade do Porto - Faculdade de Engenharia #
# Laboratório de Sistemas e Tecnologia Subaquática (LSTS) #
###########################################################################
# This program is free software; you can redistribute it and/or modify #
@ -71,22 +71,17 @@ download()
fi
fi
# First try LSTS mirror.
lsts_url="https://www.lsts.pt/glued/$(basename $u)"
download_tool "$lsts_url" "$cfg_dir_downloads/$file"
# First try OceanScan-MST mirror.
omst_url="http://www.omst.pt/glued/$(basename $u)"
download_tool "$omst_url" "$cfg_dir_downloads/$file"
if [ $? -ne 0 ]; then
# Then try OceanScan-MST mirror.
omst_url="http://www.omst.pt/glued/$(basename $u)"
download_tool "$omst_url" "$cfg_dir_downloads/$file"
# On failure try upstream URL.
download_tool "$u" "$cfg_dir_downloads/$file"
if [ $? -ne 0 ]; then
# On failure try upstream URL.
download_tool "$u" "$cfg_dir_downloads/$file"
if [ $? -ne 0 ]; then
echo "ERROR: download failed"
exit 1
fi
echo "ERROR: download failed"
exit 1
fi
fi
fi
md5="$(md5sum_tool "$cfg_dir_downloads/$file")"
if [ "$s" != "$md5" ]; then

View File

@ -1,7 +1,7 @@
#! /bin/bash
###########################################################################
# GLUED: GNU/Linux Uniform Environment Distribution #
# Copyright (C) 2007-2019 Universidade do Porto - Faculdade de Engenharia #
# Copyright (C) 2007-2017 Universidade do Porto - Faculdade de Engenharia #
# Laboratório de Sistemas e Tecnologia Subaquática (LSTS) #
###########################################################################
# This program is free software; you can redistribute it and/or modify #

View File

@ -1,68 +0,0 @@
#! /bin/bash
###########################################################################
# GLUED: GNU/Linux Uniform Environment Distribution #
# Copyright (C) 2007-2019 Universidade do Porto - Faculdade de Engenharia #
# Laboratório de Sistemas e Tecnologia Subaquática (LSTS) #
###########################################################################
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or (at #
# your option) any later version. #
# #
# This program is distributed in the hope that it will be useful, but #
# WITHOUT ANY WARRANTY; without even the implied warranty of #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU #
# General Public License for more details. #
# #
# You should have received a copy of the GNU General Public License #
# along with this program; if not, write to the Free Software #
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA #
# 02110-1301 USA. #
###########################################################################
# Author: Tiago Marques #
###########################################################################
update_tool()
{
rsync -v "$1" root@"$2":/opt/"$cfg_glued_vendor"/glued/
if [ $? -eq 0 ]; then
return 0
fi
scp "$1" root@"$2":/opt/"$cfg_glued_vendor"/glued/
if [ $? -eq 0 ]; then
return 0
fi
return 1
}
# Check command line arguments.
if [ $# -lt 1 ]; then
echo "Usage: $0 <config>"
exit 1
fi
# Read system configuration file.
if ! [ -f "$1" ]; then
echo -e "\e[1;31mERROR: invalid configuration file '$1'\e[0m"
exit 1
fi
# Read system configuration file.
source "$1"
if [ ! -f "$cfg_rootfs_tar" ];
then
echo -e "\e[1;31mERROR: You should run ./pkrootfs $1\e[0m"
exit 1
fi
# check for dirty repo
if [[ "$cfg_glued_git_version" =~ .*-dirty$ ]]
then
echo -e "\e[1;31mThis glued's version is dirty\e[0m"
fi
# send package to the system
update_tool "$cfg_rootfs_tar" "$cfg_eth_ext_ip"

View File

@ -1,7 +1,7 @@
#! /bin/bash
###########################################################################
# GLUED: GNU/Linux Uniform Environment Distribution #
# Copyright (C) 2007-2019 Universidade do Porto - Faculdade de Engenharia #
# Copyright (C) 2007-2017 Universidade do Porto - Faculdade de Engenharia #
# Laboratório de Sistemas e Tecnologia Subaquática (LSTS) #
###########################################################################
# This program is free software; you can redistribute it and/or modify #

View File

@ -1,7 +1,7 @@
#! /bin/bash
###########################################################################
# GLUED: GNU/Linux Uniform Environment Distribution #
# Copyright (C) 2007-2019 Universidade do Porto - Faculdade de Engenharia #
# Copyright (C) 2007-2017 Universidade do Porto - Faculdade de Engenharia #
# Laboratório de Sistemas e Tecnologia Subaquática (LSTS) #
###########################################################################
# This program is free software; you can redistribute it and/or modify #

View File

@ -26,5 +26,4 @@ requires=\
'parted/host'
'dosfstools/host'
'e2fsprogs/host'
'cmake/host'
)

View File

@ -37,8 +37,7 @@ configure()
{
cd "../boost_$vendor_version" &&
./bootstrap.sh \
--with-icu="$cfg_dir_toolchain_sysroot/usr" \
--with-libraries="regex,filesystem,system,thread"
--with-icu="$cfg_dir_toolchain_sysroot/usr"
GXX_VER=$(${cmd_target_cxx} -dumpversion)
echo "using gcc : ${GXX_VER} : ${cmd_target_cxx} : <cxxflags>\"-pipe -Os -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 ${cfg_target_gcc_flags} \" <linkflags>\"\" ;" > user-config.jam

View File

@ -1,16 +1,16 @@
version=\
(
'1.6'
'1.5'
)
url=\
(
"http://www.kernel.org/pub/linux/utils/net/bridge-utils/bridge-utils-$version.tar.gz"
"http://downloads.sourceforge.net/project/bridge/bridge/bridge-utils-$version.tar.gz"
)
md5=\
(
'f369e90e85e4bb46baa26a7b9d66b578'
'ec7b381160b340648dede58c31bb2238'
)
maintainer=\

View File

@ -35,11 +35,6 @@ build()
host_install()
{
$cmd_make install
# make available for cross compilation
for f in "${cfg_dir_toolchain_sysroot}/usr/lib/"libcurl*so*; do
echo "Doing $f"
ln -s -f "$f" "${cfg_dir_toolchain}/lib"
done
}
target_install()

View File

@ -1,52 +0,0 @@
version=\
(
"3.0.2"
)
url=\
(
"https://github.com/zeromq/czmq/archive/v$version.tar.gz"
)
md5=\
(
"23e9885f7ee3ce88d99d0425f52e9be1"
)
configure()
{
./autogen.sh && \
./configure \
--prefix="${cfg_dir_toolchain_sysroot}/usr" \
--target="$cfg_target_canonical" \
--host="$cfg_target_canonical" \
--build="$cfg_host_canonical"
}
build()
{
$cmd_make
}
host_install()
{
$cmd_make install
}
requires=\
(
'libtool/host'
'zeromq'
)
target_install()
{
# Libs:
for f in "$cfg_dir_toolchain_sysroot/usr/lib/"libczmq.*; do
if [ -L "$f" ]; then
$cmd_cp "$f" "$cfg_dir_rootfs/usr/lib"
else
$cmd_target_strip -v "$f" -o "$cfg_dir_rootfs/usr/lib/$(basename "$f")"
fi
done
}

View File

@ -1,37 +0,0 @@
version=\
(
'master'
)
requires=\
(
'cmake/host'
)
download()
{
git clone "git@github.com:LSTS/dune.git" dune &&
cd dune && git checkout "$version" && cd - &&
git clone "git@git.lsts.pt:dune-private.git" dune/private &&
cd dune/private && git checkout "$version" && cd -
}
configure()
{
$cmd_mkdir build &&
cd build &&
cmake \
-DCMAKE_INSTALL_PREFIX="$cfg_dir_toolchain_sysroot/usr" \
-DCROSS="$cmd_target_cc" \
../dune
}
build()
{
$cmd_make -C build
}
host_install()
{
$cmd_make -C build install
}

View File

@ -1,6 +1,6 @@
version=\
(
'1.0.71'
'1.0.7'
)
url=\
@ -10,7 +10,7 @@ url=\
md5=\
(
'075c9256fe20cf6ce867dc2b1c974ebe'
'4e18a516249256e2dad4d79ae56c913d'
)
if [ -d "$cfg_dir_builds/linux/linux-"* ]; then

View File

@ -1,37 +0,0 @@
version=\
(
"10.96"
)
url=\
(
"https://lsts.pt/glued/exiftoolBin-${version}.tar.gz"
)
md5=\
(
"71d52bf2d75f023b844dd8c9100daaff"
)
maintainer=\
(
'Pedro Gonçalves <pedro@lsts.pt>'
)
requires=\
(
'perl/default'
)
post_unpack()
{
$cmd_cp -r ../exiftoolBin-${version}/* .
}
target_install()
{
$cmd_cp -rv usr/* $cfg_dir_toolchain_sysroot/usr/
$cmd_cp -rv usr/* $cfg_dir_rootfs/usr/
$cmd_cp -rv usr/local/bin/* $cfg_dir_rootfs/usr/bin/
}

View File

@ -1,57 +0,0 @@
version=\
(
"0.25"
)
url=\
(
"http://lsts.pt/glued/exiv2-${version}.tar.gz"
)
md5=\
(
"258d4831b30f75a01e0234065c6c2806"
)
maintainer=\
(
'Pedro Gonçalves <pedro@lsts.pt>'
)
requires=\
(
"gettext/host"
)
configure()
{
./configure \
--datadir="$cfg_dir_toolchain_sysroot" \
--prefix="$cfg_dir_rootfs/usr" \
--includedir="$cfg_dir_toolchain_sysroot/usr/include" \
--enable-cross-compile \
--build=$cfg_target_linux \
--host="$cfg_target_canonical" \
--enable-shared \
--disable-static \
--disable-xmp
}
build()
{
$cmd_make
}
host_install()
{
$cmd_make install
}
target_install()
{
# Libs:
for f in "$cfg_dir_rootfs/lib/"libexiv2*; do
cp -av "$f" "$cfg_dir_toolchain_sysroot/usr/lib"
done
}

View File

@ -15,14 +15,12 @@ md5=\
configure()
{
mkdir -p ../build
./configure \
--sysroot="$cfg_dir_toolchain_sysroot" \
--prefix="$cfg_dir_rootfs/usr" \
--incdir="$cfg_dir_toolchain_sysroot/usr/include" \
--enable-cross-compile \
--cross-prefix="$cfg_target_canonical-" \
--libdir="$cfg_dir_builds/ffmpeg/build" \
--target-os="linux" \
--enable-shared \
--disable-static \
@ -41,16 +39,10 @@ host_install()
$cmd_make \
LIBDIR="$cfg_dir_toolchain_sysroot/usr/lib" \
install-headers
$cmd_make \
install-libs
}
target_install()
{
$cmd_make \
install-libs
$cmd_cp -r "$cfg_dir_builds/ffmpeg/build/"* "$cfg_dir_rootfs/usr/lib/"
$cmd_cp -r "$cfg_dir_builds/ffmpeg/build/"* "$cfg_dir_toolchain_sysroot/usr/lib/"
}

View File

@ -1,15 +0,0 @@
start()
{
if [ ! -f /opt/check_wlan ]; then
cp -ri /etc/check_wlan /opt/
fi
sh /opt/check_wlan < /dev/null > /dev/null 2>&1 &
}
stop()
{
echo "* Stopping process..."
killall sh /opt/check_wlan -9 > /dev/null 2>&1
echo "* Process not running."
}

View File

@ -1,87 +0,0 @@
start()
{
ifconfig wlan0 up
if [ -n "$cfg_eth_ext_ip$cfg_eth_prv_ip" ]; then
while [ 1 ]; do
echo "* Waiting for wlan0 device..."
ifconfig wlan0 > /dev/null 2>&1
[ $? -eq 0 ] && break
usleep 250000
done
fi
if [ -n "$cfg_bridge0_ip" ]; then
for itf in $cfg_bridge0_itfs; do
ifconfig $itf 0.0.0.0
done
brctl addbr bridge0
for itf in $cfg_bridge0_itfs; do
brctl addif bridge0 $itf
done
ifconfig bridge0 $cfg_bridge0_ip netmask $cfg_bridge0_nmask up
ifconfig bridge0 multicast
route add -net 224.0.0.0 netmask 240.0.0.0 dev bridge0
fi
# Public ethernet.
if [ -n "$cfg_eth_ext_ip" ]; then
if [ -n "$cfg_eth_ext_mk" ]; then
ifconfig wlan0 "$cfg_eth_ext_ip" netmask "$cfg_eth_ext_mk" up
else
ifconfig wlan0 "$cfg_eth_ext_ip" up
fi
ifconfig wlan0 multicast
route add -net 224.0.0.0 netmask 240.0.0.0 dev wlan0
# Fixed mac address with $cfg_eth_ext_mac based derivated from IP address $cfg_eth_ext_ip
if [ -n "$cfg_eth_ext_mac" ]; then
ifconfig wlan0 hw ether $cfg_eth_ext_mac
fi
fi
if [ -n "$cfg_eth_ext_gw" ]; then
route add default gw "$cfg_eth_ext_gw"
fi
if [ -n "$cfg_eth_ext_dns" ]; then
echo "nameserver $cfg_eth_ext_dns" > /etc/resolv.conf
fi
# Private ethernet.
if [ -n "$cfg_eth_prv_ip" ]; then
ifconfig wlan0:prv "$cfg_eth_prv_ip" up
fi
# Static ARP table.
if [ -n "$cfg_arp_table" ]; then
for e in $cfg_arp_table; do
ip="$(echo $e | cut -f1 -d'|')"
mac="$(echo $e | cut -f2 -d'|')"
arp -s "$ip" "$mac"
done
fi
iw wlan0 connect LSTS
ifconfig eth0 down
}
stop()
{
# Public ethernet.
if [ -n "$cfg_eth_ext_gw" ]; then
route del default
fi
if [ -n "$cfg_eth_ext_ip" ]; then
route del -net 224.0.0.0 netmask 240.0.0.0 dev wlan0
ifconfig wlan0 down
fi
# Private ethernet.
if [ -n "$cfg_eth_prv_ip" ]; then
ifconfig wlan0:prv down
fi
}

View File

@ -49,15 +49,10 @@ host_install()
target_install()
{
libdir=lib
if [ -d "$cfg_dir_toolchain/$cfg_target_canonical/lib64" ]; then
libdir=lib64
fi
$cmd_mkdir \
"$cfg_dir_rootfs/usr/$libdir" &&
"$cfg_dir_rootfs/usr/lib" &&
for f in "$cfg_dir_toolchain/$cfg_target_canonical/$libdir/"{libgcc_s,libstdc++}.so*; do
for f in "$cfg_dir_toolchain/$cfg_target_canonical/lib/"{libgcc_s,libstdc++}.so*; do
base="$(basename $f)"
if [ $(echo "$base" | grep '\.py' 2> /dev/null) ]; then

View File

@ -1,6 +1,6 @@
version=\
(
'7.10.1'
'7.8.2'
)
url=\
@ -10,5 +10,5 @@ url=\
md5=\
(
'39e654460c9cdd80200a29ac020cfe11'
'a80cf252ed2e775d4e4533341bbf2459'
)

View File

@ -1,34 +0,0 @@
version=\
(
"4.9"
)
url=\
(
"http://lsts.pt/glued/iw-$version.tar.bz2"
)
md5=\
(
"ae8ccaa154449300c2c02eb90a37eebb"
)
maintainer=\
(
'Pedro Gonçalves <pedro@lsts.pt>'
)
configure()
{
mv "../iw_$version/etc" "../iw-$version/"
mv "../iw_$version/lib" "../iw-$version/"
mv "../iw_$version/sbin" "../iw-$version/"
}
target_install()
{
$cmd_cp -r "etc/"* "$cfg_dir_rootfs/etc/"
$cmd_cp -r "sbin/"* "$cfg_dir_rootfs/sbin/"
$cmd_cp -r "lib/"* "$cfg_dir_rootfs/lib/"
$cmd_cp -r "$pkg_dir/fs/"* "$cfg_dir_rootfs/"
}

View File

@ -1,46 +0,0 @@
#!/bin/bash
export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/bin:/bin
############################# USER INPUT ###########################
ip_dest=10.0.30.3
####################################################################
############### DON'T EDIT ##########################################
check_interval=1
log=/opt/.wifi.log
wlan=wlan0
eth=eth0
exec 1> /dev/null
exec 2>> $log
echo $(date) > $log
# without check_interval set, we risk a 0 sleep = busy loop
if [ ! "$check_interval" ]; then
echo "No check interval set!" >> $log
exit 1
fi
startWifi () {
iw wlan0 connect LSTS >> $log
}
ifconfig $eth down
ifconfig $wlan up
while [ 1 ]; do
ping -q -c1 $ip_dest > /dev/null
if [ $? -ne 0 ]; then
echo $(date)" attempting restart..." >> $log
startWifi
sleep 1
else
echo "IS LINKED" >> $log
sleep $check_interval
fi
done
#####################################################################

View File

@ -1,45 +0,0 @@
version=\
(
"2.7"
)
url=\
(
"http://www.digip.org/jansson/releases/jansson-2.7.tar.gz"
)
md5=\
(
"3a106a465bbb77637550b422f5b262ef"
)
configure()
{
./configure \
--prefix="${cfg_dir_toolchain_sysroot}/usr" \
--target="$cfg_target_canonical" \
--host="$cfg_target_canonical" \
--build="$cfg_host_canonical"
}
build()
{
$cmd_make
}
host_install()
{
$cmd_make install
}
target_install()
{
# Libs:
for f in "$cfg_dir_toolchain_sysroot/usr/lib/"libjansson.*; do
if [ -L "$f" ]; then
$cmd_cp "$f" "$cfg_dir_rootfs/usr/lib"
else
$cmd_target_strip -v "$f" -o "$cfg_dir_rootfs/usr/lib/$(basename "$f")"
fi
done
}

View File

@ -1,25 +0,0 @@
version=\
(
'1.4'
)
url=\
(
"https://github.com/stripydog/kplex/archive/v$version.tar.gz"
)
md5=\
(
'df198384d2d7dee4b802136f4f9e9d44'
)
build()
{
cd ../kplex-$version && $cmd_make VERBOSE=1 CC="$cmd_target_cc"
}
target_install()
{
$cmd_cp ../kplex-$version/kplex "$cfg_dir_rootfs/usr/bin/kplex"
}

View File

@ -1,16 +1,16 @@
version=\
(
'4.4.66'
'3.14.63'
)
url=\
(
"https://www.kernel.org/pub/linux/kernel/v4.x/linux-$version.tar.xz"
"https://www.kernel.org/pub/linux/kernel/v3.x/linux-$version.tar.xz"
)
md5=\
(
'5353de56bf4621a35afc4384c7e51f30'
'6cf8a6b23849f47f511e0e46cfdb6392'
)
maintainer=\

View File

@ -1,16 +1,16 @@
version=\
(
'4.4.66'
'3.14.63'
)
url=\
(
"https://www.kernel.org/pub/linux/kernel/v4.x/linux-$version.tar.xz"
"https://www.kernel.org/pub/linux/kernel/v3.x/linux-$version.tar.xz"
)
md5=\
(
'5353de56bf4621a35afc4384c7e51f30'
'6cf8a6b23849f47f511e0e46cfdb6392'
)
maintainer=\
@ -128,12 +128,14 @@ build()
$cmd_make \
CROSS_COMPILE=$cfg_target_canonical- \
ARCH=$cfg_target_linux \
DEPMOD="$cfg_dir_toolchain/sbin/depmod" \
modules || return 1
if [ "$(basename $cfg_target_linux_kernel)" = 'uImage' ]; then
$cmd_make \
CROSS_COMPILE=$cfg_target_canonical- \
ARCH=$cfg_target_linux \
DEPMOD="$cfg_dir_toolchain/sbin/depmod" \
uImage || return 1
fi
@ -142,6 +144,7 @@ build()
$cmd_make \
CROSS_COMPILE=$cfg_target_canonical- \
ARCH=$cfg_target_linux \
DEPMOD="$cfg_dir_toolchain/sbin/depmod" \
zImage || return 1
fi
@ -150,6 +153,7 @@ build()
$cmd_make \
CROSS_COMPILE=$cfg_target_canonical- \
ARCH=$cfg_target_linux \
DEPMOD="$cfg_dir_toolchain/sbin/depmod" \
dtbs || return 1
fi
@ -194,6 +198,7 @@ target_install()
ARCH="$cfg_target_linux" \
INSTALL_MOD_PATH="$cfg_dir_rootfs/usr" \
KBUILD_VERBOSE=1 \
DEPMOD="$cfg_dir_toolchain/sbin/depmod" \
modules_install
$cmd_make \
@ -201,5 +206,6 @@ target_install()
ARCH="$cfg_target_linux" \
INSTALL_MOD_PATH="$cfg_dir_rootfs/usr" \
KBUILD_VERBOSE=1 \
DEPMOD="$cfg_dir_toolchain/sbin/depmod" \
firmware_install
}

View File

@ -2,19 +2,21 @@
version=\
(
'4.4_2017-01-27'
'3.18_2015-06-03'
)
url=\
(
"http://lsts.pt/glued/rpi-linux-$version.zip"
"https://github.com/rasmartins/rpi-linux/archive/rpi-linux-$version.tar.gz"
)
md5=\
(
'f31d48a9d2c93509b35e750be489b44c'
'0b0255e50ca358b619bb78653ac2db2e'
)
build_dir="rpi-linux-rpi-linux-$version"
find_patches
post_unpack()
{
rmdir "../linux-$version" &&
mv "../rpi-linux-rpi-linux-$version" "../linux-$version"
}

View File

@ -2,12 +2,12 @@
version=\
(
'4.4.66-rt79'
'3.14.64-rt67'
)
url=\
(
"https://www.kernel.org/pub/linux/kernel/v4.x/linux-$(linux_mmp_version).tar.xz"
"https://www.kernel.org/pub/linux/kernel/v3.x/linux-$(linux_mmp_version).tar.xz"
"https://www.kernel.org/pub/linux/kernel/projects/rt/$(linux_mm_version)/patch-$version.patch.gz"
)

View File

@ -1,206 +0,0 @@
version=\
(
'3.14.63'
)
url=\
(
"https://www.kernel.org/pub/linux/kernel/v3.x/linux-$version.tar.xz"
)
md5=\
(
'6cf8a6b23849f47f511e0e46cfdb6392'
)
maintainer=\
(
'Ricardo Martins <rasm@fe.up.pt>'
)
requires=\
(
'bc/host'
'kmod/host'
'lz4/host'
)
# This variable is updated by find_patches().
patches=()
# Major/Minor version.
linux_mm_version()
{
echo "$version" | cut -f1-2 -d.
}
# Major/Minor/Patch version.
linux_mmp_version()
{
echo "$version" | cut -f1 -d-
}
find_patches()
{
patches=(\
$(ls -1 \
"$pkg_dir/patches/$version/"*.patch \
"$pkg_dir/patches/$(linux_mmp_version)/"*.patch \
"$pkg_dir/patches/$(linux_mm_version)/"*.patch \
"$cfg_dir_system/patches/linux/$version/"*.patch \
"$cfg_dir_system/patches/linux/$(linux_mmp_version)/"*.patch \
"$cfg_dir_system/patches/linux/$(linux_mm_version)/"*.patch \
2> /dev/null | awk '!a[$0]++')
)
}
find_patches
# Get configuration file.
linux_cfg_file()
{
for f in "$version" "$(linux_mmp_version)" "$(linux_mm_version)"; do
f="$cfg_dir_system/cfg/linux-$f.cfg"
if [ -f "$f" ]; then
echo "$f"
return 0
fi
echo "Candidate kernel configuration file '$f' doesn't exist." 1>&2
done
echo "ERROR: failed to find a valid kernel configuration file." 1>&2
return 1
}
post_unpack()
{
cp -r ../linux-3.14.63/* ../linux_3.3-3.14.63
n=0; while [ -n "${patches[$n]}" ]; do
patch="${patches[$n]}"
echo "* Applying $patch..."
(ucat "$patch" | patch -p1) || return 1
let n++
done
if [ -d "$cfg_dir_toolchain/firmware" ]; then
tar -C "$cfg_dir_toolchain/firmware" -c -v -f - . | tar -C firmware -x -v -f -
fi
}
refresh()
{
for rule in configure build target_install; do
if [ "$(linux_cfg_file)" -nt "$cfg_dir_builds/linux/$pkg_var/.$rule" ]; then
rm "$cfg_dir_builds/linux/$pkg_var/.$rule"
fi
done
}
configure()
{
$cmd_make \
ARCH=${cfg_target_linux} \
mrproper || return 1
cfg="$(linux_cfg_file)"
[ -n "$cfg" ] || return 1
$cmd_cp "$cfg" .config || return 1
if [ -f "$cfg_dir_system/files/initramfs_init.sh" ]; then
$cmd_mkdir initramfs &&
$cmd_cp "$pkg_dir/files/initramfs.conf" . &&
$cmd_cp "$cfg_dir_system/files/initramfs_init.sh" initramfs/init.sh &&
$cmd_cp "$cfg_dir_rootfs/bin/busybox" initramfs/busybox
fi
yes '' | $cmd_make \
CROSS_COMPILE=${cfg_target_canonical}- \
ARCH=${cfg_target_linux} \
oldconfig
}
build()
{
$cmd_make \
CROSS_COMPILE=$cfg_target_canonical- \
ARCH=$cfg_target_linux || return 1
$cmd_make \
CROSS_COMPILE=$cfg_target_canonical- \
ARCH=$cfg_target_linux \
modules || return 1
if [ "$(basename $cfg_target_linux_kernel)" = 'uImage' ]; then
$cmd_make \
CROSS_COMPILE=$cfg_target_canonical- \
ARCH=$cfg_target_linux \
uImage || return 1
fi
# Compressed image.
if [ "$(basename $cfg_target_linux_kernel)" = 'zImage' ]; then
$cmd_make \
CROSS_COMPILE=$cfg_target_canonical- \
ARCH=$cfg_target_linux \
zImage || return 1
fi
# Device tree blob.
if [ -n "$cfg_target_linux_dtb" ]; then
$cmd_make \
CROSS_COMPILE=$cfg_target_canonical- \
ARCH=$cfg_target_linux \
dtbs || return 1
fi
if [ -n "${cfg_target_linux_size}" ]; then
dd if="$cfg_target_linux_kernel" of="${cfg_target_linux_kernel}.padded" \
ibs="${cfg_target_linux_size}" conv=sync &&
mv "${cfg_target_linux_kernel}.padded" "${cfg_target_linux_kernel}"
fi
}
target_install()
{
if [ -n "$(file "$cfg_target_linux_kernel" | grep ELF)" ]; then
strip="$(echo $cfg_dir_toolchain/bin/*-strip)"
$strip -s -R .comment "$cfg_target_linux_kernel"
fi
# Kernel image.
if [ -n "$cfg_target_linux_kernel" ]; then
cp -v "$cfg_target_linux_kernel" "$cfg_dir_rootfs/boot/kernel"
else
echo "ERROR: failed to find kernel image at '$cfg_target_linux_kernel'"
return 1
fi
# Device tree blobs.
dts="arch/$cfg_target_linux/boot/dts"
if [ -d "$dts" ]; then
$cmd_mkdir "$cfg_dir_rootfs/boot" &&
cp -v "$dts/"*.dtb "$cfg_dir_rootfs/boot"
fi
# Device tree overlays.
overlays_dir="arch/$cfg_target_linux/boot/dts/overlays"
if [ -d "$overlays_dir" ]; then
$cmd_mkdir "$cfg_dir_rootfs/boot/overlays" || return 1
$cmd_cp "$overlays_dir"/*.dtbo "$cfg_dir_rootfs/boot/overlays" || return 1
fi
$cmd_make \
CROSS_COMPILE="$cfg_target_canonical-" \
ARCH="$cfg_target_linux" \
INSTALL_MOD_PATH="$cfg_dir_rootfs/usr" \
KBUILD_VERBOSE=1 \
modules_install
$cmd_make \
CROSS_COMPILE="$cfg_target_canonical-" \
ARCH="$cfg_target_linux" \
INSTALL_MOD_PATH="$cfg_dir_rootfs/usr" \
KBUILD_VERBOSE=1 \
firmware_install
}

View File

@ -1,38 +0,0 @@
version=\
(
"1.2"
)
url=\
(
"http://lsts.pt/glued/lpg-$version.tar.gz"
)
md5=\
(
"d71e2f282372a5cb1021d9e457a3d53f"
)
requires=\
(
'bison/host'
'flex/host'
)
configure()
{
./configure "$cfg_target_canonical-gcc"
}
build()
{
$cmd_make \
BISON="$cfg_dir_toolchain/bin/bison" \
FLEX="$cfg_dir_toolchain/bin/flex"
}
target_install()
{
$cmd_cp "lpg" "$cfg_dir_rootfs/usr/bin"
}

View File

@ -1,32 +0,0 @@
version=\
(
"5.01"
)
url=\
(
"http://www.lsts.pt/glued/memtest86+-$version.tar.gz"
)
md5=\
(
"035b85f2edabc9b4a6b0cf6c9c3acf50"
)
maintainer=\
(
'Tiago Sá Marques <tsmarques@fe.up.pt>'
)
build()
{
$cmd_make \
CC=$cmd_target_cc \
CXX=$cmd_target_cxx
}
target_install()
{
$cmd_cp ./memtest.bin $cfg_dir_rootfs/boot/
tar -C "$pkg_dir/fs" --exclude .svn -c -f - . | tar -C "$cfg_dir_rootfs" -x -v -f -
}

View File

@ -1,14 +0,0 @@
#! /bin/sh
echo "Starting memtest in 10 seconds (requires reboot), Ctrl-C to cancel..."
for r in 0 1 2 3 4 5 6 7 8 9; do
printf "."
sleep 1
done
mount -o remount,rw /
extlinux -o "memtest" /boot/extlinux/
mount -o remount,ro /
echo "* Rebooting now"
reboot

View File

@ -63,11 +63,6 @@ host_install()
{
cd ${pkg_build_dir}/../build &&
$cmd_make install
# make available for cross compilation
for f in "$cfg_dir_toolchain_sysroot/usr/lib/"libopencv*so*; do
ln -s -f "$f" "$cfg_dir_toolchain/lib"
done
}
target_install()

View File

@ -30,7 +30,6 @@ configure()
--target="$cfg_target_canonical" \
--host="$cfg_target_canonical" \
--build="$cfg_host_canonical" \
--with-privsep-path=$cfg_dir_rootfs/var/empty \
--disable-strip
}

View File

@ -1,46 +0,0 @@
version=\
(
"3.19"
)
url=\
(
"https://www.kernel.org/pub/linux/kernel/v3.x/linux-$version.tar.xz"
)
requires=\
(
'flex/host'
'bison/host'
'zlib/default'
)
# v3.19
md5=\
(
'd3fc8316d4d4d04b65cbc2d70799e763'
)
#3.14.63
# md5=('6cf8a6b23849f47f511e0e46cfdb6392')
build()
{
cd ../linux-$version/
$cmd_make \
CROSS_COMPILE="$cfg_target_canonical-" \
ARCH="$cfg_target_linux" \
INSTALL_MOD_PATH="$cfg_dir_rootfs/usr" \
KBUILD_VERBOSE=1 \
DEPMOD="$cfg_dir_toolchain/sbin/depmod" \
NO_LIBELF=1 \
LDFLAGS=-static \
-C "./tools/perf/"
}
target_install()
{
$cmd_cp ../linux-$version/tools/perf/perf \
$cfg_dir_rootfs/usr/bin/
}

View File

@ -1,60 +0,0 @@
version=\
(
"1.0.0"
)
url=\
(
"http://lsts.pt/glued/raspicam-$version.zip"
)
md5=\
(
"169e62fd17d41455a42711a2f9c54fd1"
)
maintainer=\
(
'Pedro Gonçalves <pedro@lsts.pt>'
)
requires=\
(
'uv4l/default'
'cmake/host'
)
configure()
{
LINKER_ADDED_FLAGS="-Wl,-rpath,${cfg_dir_rootfs}/usr/lib"
${cfg_dir_toolchain}/usr/local/bin/cmake \
-DCMAKE_SYSTEM_NAME="Linux" \
-DCMAKE_SYSTEM_VERSION="1" \
-DCMAKE_FIND_ROOT_PATH="${cfg_dir_toolchain_sysroot}/usr ${cfg_dir_rootfs}/usr" \
-DCMAKE_FIND_ROOT_PATH_MODE_INCLUDE=ONLY \
-DCMAKE_FIND_ROOT_PATH_MODE_LIBRARY=ONLY \
-DCMAKE_C_COMPILER="${cmd_target_cc}" \
-DCMAKE_CXX_COMPILER="${cmd_target_cxx}" \
-DCMAKE_C_FLAGS="${cfg_target_gcc_flags}" \
.
}
build()
{
$cmd_make VERBOSE=1
}
host_install()
{
cd build/
$cmd_cp -r "lib/"* "$cfg_dir_toolchain_sysroot/usr/lib/"
$cmd_cp -r "inc/"* "$cfg_dir_toolchain_sysroot/usr/include/"
}
target_install()
{
cd build/
$cmd_cp -r "lib/"* "$cfg_dir_rootfs/usr/lib/"
$cmd_cp -r "bin/"* "$cfg_dir_rootfs/usr/bin/"
}

View File

@ -1,29 +1,31 @@
version=\
(
'2017-02-02'
'2015-06-03'
)
url=\
(
"http://lsts.pt/glued/rpi-boot-firmware-$version.zip"
"https://github.com/rasmartins/rpi-boot-firmware/archive/rpi-boot-firmware-$version.tar.gz"
)
maintainer=\
(
'Ricardo Martins <rasm@fe.up.pt>'
'Pedro Gonçalves <pedro@lsts.pt>'
)
md5=\
(
'eb42664fce4d73f167064e697dfacb76'
'a80ee36b66cccda4e9ccb7eb26bd6bb8'
)
target_install()
{
$cmd_mkdir "$cfg_dir_rootfs/boot"
$cmd_mkdir \
"$cfg_dir_rootfs/boot" &&
$cmd_cp "../$pkg-$version/"* "$cfg_dir_rootfs/boot/"
for f in bootcode.bin fixup.dat start.elf; do
$cmd_cp -r "../$pkg-$pkg-$version/$f" "$cfg_dir_rootfs/boot"
done &&
tar -C "$pkg_dir/fs" -c -f - . | tar -C "$cfg_dir_rootfs" -x -v -f -
}

View File

@ -1 +1 @@
dwc_otg.lpm_enable=0 console=tty1 root=/dev/mmcblk0p2 elevator=deadline rootwait quiet
dwc_otg.lpm_enable=0 console=ttyAMA0,115200,8n1 root=/dev/mmcblk0p2 elevator=deadline rootwait quiet

View File

@ -1,6 +1,3 @@
LABEL linux
KERNEL /boot/kernel
APPEND rootwait root=$cfg_kernel_boot_dev rootfstype=ext2 ro $cfg_kernel_extra_args
LABEL memtest
LINUX /boot/memtest.bin

View File

@ -1,41 +0,0 @@
version=\
(
"1.0.0"
)
url=\
(
"http://lsts.pt/glued/uv4l.$version.tar.bz2"
)
md5=\
(
"869e884accbfa9c2356e2fd9307dd71c"
)
maintainer=\
(
'Pedro Gonçalves <pedro@lsts.pt>'
)
post_unpack()
{
mv "../etc" "../uv4l-$version/"
mv "../usr" "../uv4l-$version/"
}
host_install()
{
$cmd_cp -r "usr/lib/"* "$cfg_dir_toolchain_sysroot/usr/lib/"
$cmd_cp -r "usr/include/"* "$cfg_dir_toolchain_sysroot/usr/include/"
}
target_install()
{
$cmd_cp -r "usr/lib/"* "$cfg_dir_rootfs/usr/lib/"
$cmd_cp -r "usr/bin/"* "$cfg_dir_rootfs/usr/bin/"
tar -C "$pkg_dir/fs" -c -f - . | tar -C "$cfg_dir_rootfs" -x -v -f -
}

View File

@ -1,28 +0,0 @@
start()
{
killall uv4l
modprobe cuse &&
uv4l \
-nopreview \
--auto-video_nr \
--driver raspicam \
--encoding h264 \
--width 1080 \
--height 720 \
--framerate 20 \
--quality 10 \
--server-option \
--port=9090 \
--server-option \
--max-queued-connections=30 \
--server-option \
--max-streams=25 \
--server-option \
--max-threads=29
}
stop()
{
killall uv4l
rmmod uv4l
}

View File

@ -1,46 +0,0 @@
version=\
(
"4.1.3"
)
url=\
(
"http://download.zeromq.org/zeromq-$version.tar.gz"
)
md5=\
(
"d0824317348cfb44b8692e19cc73dc3a"
)
configure()
{
./configure \
--prefix="${cfg_dir_toolchain_sysroot}/usr" \
--target="$cfg_target_canonical" \
--host="$cfg_target_canonical" \
--build="$cfg_host_canonical" \
--without-libsodium
}
build()
{
$cmd_make
}
host_install()
{
$cmd_make install
}
target_install()
{
# Libs:
for f in "$cfg_dir_toolchain_sysroot/usr/lib/"libzmq.*; do
if [ -L "$f" ]; then
$cmd_cp "$f" "$cfg_dir_rootfs/usr/lib"
else
$cmd_target_strip -v "$f" -o "$cfg_dir_rootfs/usr/lib/$(basename "$f")"
fi
done
}

View File

@ -1,34 +0,0 @@
version=\
(
'1.4.2'
)
url=\
(
"https://github.com/zerotier/ZeroTierOne/archive/$version.tar.gz"
)
md5=\
(
'c173f8b61bcdb23844a2669ff0d7bdf0'
)
build()
{
cd ../ZeroTierOne-$version && $cmd_make \
VERBOSE=1 \
CC="$cmd_target_cc" \
CXX="$cmd_target_cxx" \
LD="$cmd_target_ld" \
STRIP="$cmd_target_strip" \
CC_FLAGS="$cfg_target_gcc_flags"
}
target_install()
{
$cmd_cp "../ZeroTierOne-$version/zerotier-one" "$cfg_dir_rootfs/usr/bin/zerotier-one"
ln -sf "$cfg_dir_rootfs/usr/bin/zerotier-one" "$cfg_dir_rootfs/usr/bin/zerotier-cli"
ln -sf "$cfg_dir_rootfs/usr/bin/zerotier-one" "$cfg_dir_rootfs/usr/bin/zerotier-idtool"
}

File diff suppressed because it is too large Load Diff

View File

@ -6,12 +6,13 @@ cfg_services1='lauv-storage-server'
cfg_services2='dune'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind nfs-utils rpi-boot-firmware linux/rpi'
cfg_target_linux_kernel='arch/arm/boot/zImage'
cfg_target_linux_dtb='arch/arm/boot/dts/bcm2709-rpi-2-b.dtb'
cfg_ptpd_interface='eth0'
cfg_terminal='ttyAMA0'
cfg_lauv_storage_dir='/opt/lsts/dune/log'
cfg_partitions=\
(
rpi-boot BOOT0 512B 32MiB
rpi-boot boot0 512B 32MiB
root root0 32MiB 544MiB
data data0 544MiB -1
)

View File

@ -1,9 +1 @@
# Core.
arm_freq=1000
# Disable BT on Rpi3.
dtoverlay=pi3-disable-bt
# Enable RasPicam
start_x=1
gpu_mem=128

View File

@ -3,4 +3,3 @@ cfg_eth_ext_ip='10.0.200.24'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_ptpd_interface='eth0'
cfg_services1=''

View File

@ -1,6 +0,0 @@
cfg_hostname='lauv-blue'
cfg_eth_ext_ip='10.0.2.55'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_ptpd_interface='eth0'
cfg_services1=''

View File

@ -1,3 +0,0 @@
cfg_hostname='lauv-nemo-1-aux'
cfg_eth_ext_ip='10.0.10.63'
cfg_packages="$cfg_packages boost"

View File

@ -6,5 +6,5 @@ cfg_ptpd_interface='eth0'
cfg_services0='network dropbear storage upgrade syslog ptpd'
cfg_services1=''
cfg_services2='trex'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind nfs-utils rpi-boot-firmware linux/rpi libantlr3c boost'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind nfs-utils rpi-boot-firmware linux/rpi libantlr3c boost europa'

View File

@ -6,5 +6,5 @@ cfg_ptpd_interface='eth0'
cfg_services0='network dropbear storage upgrade syslog ptpd'
cfg_services1=''
cfg_services2='trex'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind nfs-utils rpi-boot-firmware linux/rpi libantlr3c boost'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind nfs-utils rpi-boot-firmware linux/rpi libantlr3c boost europa'

View File

@ -1,10 +0,0 @@
cfg_hostname='lauv-xplore-3-aux'
cfg_eth_ext_ip='10.0.10.143'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_ptpd_interface='eth0'
cfg_services0='network dropbear storage upgrade syslog ptpd'
cfg_services1=''
cfg_services2='trex'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind nfs-utils rpi-boot-firmware linux/rpi libantlr3c boost'

View File

@ -1,10 +0,0 @@
cfg_hostname='lauv-xplore-4-aux'
cfg_eth_ext_ip='10.0.10.153'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_ptpd_interface='eth0'
cfg_services0='network dropbear storage upgrade syslog ptpd'
cfg_services1=''
cfg_services2='trex'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind nfs-utils rpi-boot-firmware linux/rpi libantlr3c boost'

View File

@ -1,10 +0,0 @@
cfg_hostname='lauv-xplore-5-aux'
cfg_eth_ext_ip='10.0.10.163'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_ptpd_interface='eth0'
cfg_services0='network dropbear storage upgrade syslog ptpd'
cfg_services1=''
cfg_services2='trex'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind nfs-utils rpi-boot-firmware linux/rpi libantlr3c boost'

View File

@ -3,3 +3,4 @@ cfg_eth_ext_ip='10.0.10.53'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_ptpd_interface='eth0'
cfg_lauv_storage='internal'

View File

@ -1,2 +0,0 @@
cfg_hostname='buv-petinga-1'
cfg_eth_ext_ip='10.0.10.170'

View File

@ -4,7 +4,7 @@ cfg_services0='dropbear network storage upgrade syslog escc ptpd setserial'
cfg_services1=''
cfg_services2='dune'
cfg_modules=''
cfg_packages='coreboot-lsts emm-8p-xt-eeprom zlib dropbear rsync busybox flashrom e2fsprogs socat linux escc syslinux syslinux/host ptpd ntp uswitch pciutils bzip2 memtest86+'
cfg_packages='coreboot-lsts emm-8p-xt-eeprom zlib dropbear rsync busybox flashrom e2fsprogs socat linux escc syslinux syslinux/host ptpd ntp uswitch pciutils bzip2'
cfg_terminal='ttyS0'
cfg_target_linux_kernel='arch/x86/boot/bzImage'
cfg_ptpd_master='true'

View File

@ -1,2 +0,0 @@
cfg_hostname='geode-testbed'
cfg_eth_ext_ip='10.0.200.64'

View File

@ -1,2 +0,0 @@
cfg_hostname='lauv-nemo-1'
cfg_eth_ext_ip='10.0.10.60'

View File

@ -1,2 +0,0 @@
cfg_hostname='lauv-xplore-3'
cfg_eth_ext_ip='10.0.10.140'

View File

@ -1,2 +0,0 @@
cfg_hostname='lauv-xplore-4'
cfg_eth_ext_ip='10.0.10.150'

View File

@ -1,2 +0,0 @@
cfg_hostname='lauv-xplore-5'
cfg_eth_ext_ip='10.0.10.160'

View File

@ -1,85 +0,0 @@
diff -Nru a/drivers/tty/serial/8250/8250_aim104_com8.c b/drivers/tty/serial/8250/8250_aim104_com8.c
--- a/drivers/tty/serial/8250/8250_aim104_com8.c
+++ b/drivers/tty/serial/8250/8250_aim104_com8.c
@@ -0,0 +1,51 @@
+#include <linux/module.h>
+#include <linux/init.h>
+#include <linux/serial_8250.h>
+
+#define PORT(_base,_irq) \
+ { \
+ .iobase = _base, \
+ .irq = _irq, \
+ .uartclk = 1843200, \
+ .iotype = UPIO_PORT, \
+ .flags = UPF_BOOT_AUTOCONF | UPF_BUGGY_UART, \
+ }
+
+static struct plat_serial8250_port aim104_data[] = {
+ PORT(0x100, 10),
+ PORT(0x108, 10),
+ PORT(0x110, 10),
+ PORT(0x118, 10),
+ PORT(0x120, 10),
+ PORT(0x128, 10),
+ PORT(0x130, 10),
+ PORT(0x138, 10),
+ PORT(0x300, 6),
+ PORT(0x308, 6),
+ PORT(0x310, 6),
+ PORT(0x318, 6),
+ PORT(0x320, 6),
+ PORT(0x328, 6),
+ PORT(0x330, 6),
+ PORT(0x338, 6),
+ { },
+};
+
+static struct platform_device exar_device = {
+ .name = "serial8250",
+ .id = PLAT8250_DEV_PLATFORM,
+ .dev = {
+ .platform_data = aim104_data,
+ },
+};
+
+static int __init exar_init(void)
+{
+ return platform_device_register(&exar_device);
+}
+
+module_init(exar_init);
+
+MODULE_AUTHOR("Ricardo Martins");
+MODULE_DESCRIPTION("8250 serial probe module for Eurotech AIM104-COM8");
+MODULE_LICENSE("GPL");
diff -Nru a/drivers/tty/serial/8250/Kconfig b/drivers/tty/serial/8250/Kconfig
--- a/drivers/tty/serial/8250/Kconfig
+++ b/drivers/tty/serial/8250/Kconfig
@@ -225,6 +225,15 @@ config SERIAL_8250_EXAR_ST16C554
To compile this driver as a module, choose M here: the module
will be called 8250_exar_st16c554.
+config SERIAL_8250_AIM104_COM8
+ tristate "Support Eurotech AIM104-COM8 Dual Quad UART"
+ depends on SERIAL_8250 != n && ISA && SERIAL_8250_MANY_PORTS
+ help
+ Eurotech AIM104-COM8 Dual Quad UART.
+
+ To compile this driver as a module, choose M here: the module
+ will be called 8250_aim104_com8.
+
config SERIAL_8250_HUB6
tristate "Support Hub6 cards"
depends on SERIAL_8250 != n && ISA && SERIAL_8250_MANY_PORTS
diff -Nru a/drivers/tty/serial/8250/Makefile b/drivers/tty/serial/8250/Makefile
--- a/drivers/tty/serial/8250/Makefile
+++ b/drivers/tty/serial/8250/Makefile
@@ -17,6 +17,7 @@ obj-$(CONFIG_SERIAL_8250_FOURPORT) += 8250_fourport.o
obj-$(CONFIG_SERIAL_8250_ACCENT) += 8250_accent.o
obj-$(CONFIG_SERIAL_8250_BOCA) += 8250_boca.o
obj-$(CONFIG_SERIAL_8250_EXAR_ST16C554) += 8250_exar_st16c554.o
+obj-$(CONFIG_SERIAL_8250_AIM104_COM8) += 8250_aim104_com8.o
obj-$(CONFIG_SERIAL_8250_HUB6) += 8250_hub6.o
obj-$(CONFIG_SERIAL_8250_MCA) += 8250_mca.o
obj-$(CONFIG_SERIAL_8250_FSL) += 8250_fsl.o

View File

@ -1,14 +0,0 @@
diff --git a/drivers/tty/serial/8250/8250_port.c b/drivers/tty/serial/8250/8250_port.c
index 52d82d2..613c7e9 100644
--- a/drivers/tty/serial/8250/8250_port.c
+++ b/drivers/tty/serial/8250/8250_port.c
@@ -132,8 +132,7 @@ static const struct serial8250_config uart_config[] = {
.name = "ST16654",
.fifo_size = 64,
.tx_loadsz = 32,
- .fcr = UART_FCR_ENABLE_FIFO | UART_FCR_R_TRIG_01 |
- UART_FCR_T_TRIG_10,
+ .fcr = UART_FCR_ENABLE_FIFO | UART_FCR_R_TRIG_00,
.rxtrig_bytes = {8, 16, 56, 60},
.flags = UART_CAP_FIFO | UART_CAP_EFR | UART_CAP_SLEEP,
},

View File

@ -1,51 +0,0 @@
# For more options and information see
# http://www.raspberrypi.org/documentation/configuration/config-txt.md
# Some settings may impact device functionality. See link above for details
kernel=uboot.bin
device_tree_address=0x02000000
# enable i2c
dtparam=i2c_arm=on
dtparam=spi=on
# uncomment if you get no picture on HDMI for a default "safe" mode
#hdmi_safe=1
# uncomment this if your display has a black border of unused pixels visible
# and your display can output without overscan
#disable_overscan=1
# uncomment the following to adjust overscan. Use positive numbers if console
# goes off screen, and negative if there is too much border
#overscan_left=16
#overscan_right=16
#overscan_top=16
#overscan_bottom=16
# uncomment to force a console size. By default it will be display's size minus
# overscan.
#framebuffer_width=1280
#framebuffer_height=720
# uncomment if hdmi display is not detected and composite is being output
#hdmi_force_hotplug=1
# uncomment to force a specific HDMI mode (this will force VGA)
#hdmi_group=1
#hdmi_mode=1
# uncomment to force a HDMI mode rather than DVI. This can make audio work in
# DMT (computer monitor) modes
#hdmi_drive=2
# uncomment to increase signal to HDMI, if you have interference, blanking, or
# no display
#config_hdmi_boost=4
# uncomment for composite PAL
#sdtv_mode=2
#uncomment to overclock the arm. 700 MHz is the default.
#arm_freq=800

File diff suppressed because it is too large Load Diff

View File

@ -1,19 +0,0 @@
cfg_architecture='cortex-a72'
cfg_storage='data0:ext4:/opt'
cfg_services0='dropbear network storage upgrade syslog ptpd'
cfg_services1=''
cfg_services2='dune'
cfg_modules=''
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind rpi-boot-firmware bison binutils openssl linux/rpi exiftool libusb'
cfg_target_linux_kernel='arch/arm/boot/zImage'
cfg_ptpd_interface='eth0'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_terminal='tty1'
cfg_partitions=\
(
rpi-boot BOOT0 512B 32MiB
root root0 32MiB 544MiB
data data0 544MiB -1
)

View File

@ -1,3 +0,0 @@
cfg_hostname="lctr-a72xx-testbed"
cfg_eth_ext_ip="10.0.200.18"
cfg_kernel_boot_dev='/dev/mmcblk0p1'

View File

@ -4,7 +4,7 @@ cfg_modules=''
cfg_services0='dropbear network storage upgrade syslog'
cfg_services1='huawei ntpd'
cfg_services2='dune'
cfg_packages='u-boot dropbear rsync busybox linux/v3_14 uswitch ppp iptables socat bridge-utils ntp e2fsprogs i2c-tools iperf dnsmasq'
cfg_packages='u-boot dropbear rsync busybox linux uswitch ppp iptables socat bridge-utils ntp e2fsprogs i2c-tools iperf dnsmasq'
cfg_target_linux_kernel='arch/arm/boot/zImage'
cfg_target_linux_dtb='arch/arm/boot/dts/omap3-lctr-a9xx.dtb'
cfg_target_uboot_config='igep0020'

View File

@ -1,2 +0,0 @@
cfg_hostname='manta-rugged-2'
cfg_eth_ext_ip='10.0.30.25'

View File

@ -1,2 +0,0 @@
cfg_hostname='manta-sabuvis'
cfg_eth_ext_ip='10.0.30.26'

View File

@ -1,105 +0,0 @@
diff --git linux-4.4.66/arch/arm/boot/dts/Makefile b/arch/arm/boot/dts/Makefile
index 30bbc37..7241be6 100644
--- linux-4.4.66/arch/arm/boot/dts/Makefile
+++ linux-4.4.66/arch/arm/boot/dts/Makefile
@@ -421,6 +421,7 @@
omap3-igep0020-rev-f.dtb \
omap3-igep0030.dtb \
omap3-igep0030-rev-g.dtb \
+ omap3-lctr-a9xx.dtb \
omap3-ldp.dtb \
omap3-lilly-dbb056.dtb \
omap3-n900.dtb \
diff -Nru linux-4.4.66/arch/arm/boot/dts/omap3-lctr-a9xx.dts linux-4.4.66.rasm/arch/arm/boot/dts/omap3-lctr-a9xx.dts
--- linux-4.4.66/arch/arm/boot/dts/omap3-lctr-a9xx.dts
+++ linux-4.4.66.rasm/arch/arm/boot/dts/omap3-lctr-a9xx.dts
@@ -0,0 +1,89 @@
+/*
+ * Copyright (C) 2014 Universidade do Porto - Faculdade de Engenharia
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation.
+ */
+
+#include <dt-bindings/input/input.h>
+#include "omap3-igep0020.dts"
+
+/ {
+ leds {
+ boot {
+ linux,default-trigger = "heartbeat";
+ };
+ };
+
+ gpio_keys {
+ pinctrl-names = "default";
+ pinctrl-0 = <&gpio_keys_pins>;
+ compatible = "gpio-keys";
+
+ button@0 {
+ label = "Button 0";
+ gpios = <&gpio5 11 GPIO_ACTIVE_HIGH>; /* gpio_139 */
+ linux,code = <BTN_0>;
+ debounce-interval = <5>;
+ };
+
+ button@1 {
+ label = "Button 1";
+ gpios = <&gpio5 10 GPIO_ACTIVE_HIGH>; /* gpio_138 */
+ linux,code = <BTN_1>;
+ debounce-interval = <5>;
+ };
+
+ button@2 {
+ label = "Button 2";
+ gpios = <&gpio5 9 GPIO_ACTIVE_HIGH>; /* gpio_137 */
+ linux,code = <BTN_2>;
+ debounce-interval = <5>;
+ };
+ };
+
+ pps {
+ compatible = "pps-gpio";
+ pinctrl-names = "default";
+ pinctrl-0 = <&pps_pins>;
+ gpios = <&gpio5 8 GPIO_ACTIVE_HIGH>;
+ assert-rising-edge;
+ };
+};
+
+&omap3_pmx_core {
+ gpio_keys_pins: pinmux_gpio_keys_pins {
+ pinctrl-single,pins = <
+ 0x136 (PIN_INPUT_PULLDOWN | MUX_MODE4) /* gpio_137 - button 2 */
+ 0x138 (PIN_INPUT_PULLDOWN | MUX_MODE4) /* gpio_138 - button 1 */
+ 0x13a (PIN_INPUT_PULLDOWN | MUX_MODE4) /* gpio_139 - button 0 */
+ >;
+ };
+
+ pps_pins: pinmux_pps_pins {
+ pinctrl-single,pins = <
+ 0x134 (PIN_INPUT_PULLDOWN | MUX_MODE4) /* gpio_136 */
+ >;
+ };
+};
+
+&i2c2 {
+ rtc@68 {
+ compatible = "dallas,ds1307";
+ reg = <0x68>;
+ };
+};
+
+/* Disable WiFi/Bluetooth combo. */
+&mmc2 {
+ status = "disabled";
+};
+
+&vdd33 {
+ status = "disabled";
+};
+
+&lbee1usjyc_pdn {
+ status = "disabled";
+};

View File

@ -1,3 +1,3 @@
cfg_hostname='x8-02'
cfg_eth_ext_ip='10.0.20.100'
cfg_packages='u-boot dropbear rsync busybox linux/v3_14 uswitch ppp iptables socat bridge-utils ntp e2fsprogs i2c-tools iperf dnsmasq libav'
cfg_packages='u-boot dropbear rsync busybox linux uswitch ppp iptables socat bridge-utils ntp e2fsprogs i2c-tools iperf dnsmasq libav'

View File

@ -4,4 +4,4 @@ cfg_eth_ext_ip='10.0.10.83'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_ptpd_interface='eth0'
cfg_packages="$cfg_packages boost jansson czmq zeromq"
cfg_packages="$cfg_packages ptpd rpcbind nfs-utils libantlr3c boost europa"

View File

@ -4,4 +4,4 @@ cfg_eth_ext_ip='10.0.10.93'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_ptpd_interface='eth0'
cfg_packages="$cfg_packages boost jansson czmq zeromq"
cfg_packages="$cfg_packages ptpd rpcbind nfs-utils libantlr3c boost europa"

View File

@ -4,4 +4,5 @@ cfg_eth_ext_ip='10.0.10.103'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_ptpd_interface='eth0'
cfg_packages="$cfg_packages boost jansson czmq zeromq"
cfg_packages="$cfg_packages ptpd rpcbind nfs-utils libantlr3c boost europa"

View File

@ -0,0 +1,6 @@
cfg_hostname='mariner-01'
cfg_storage='data0:ext4:/opt'
cfg_eth_ext_ip='10.0.20.125'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_packages='u-boot dropbear rsync busybox e2fsprogs ptpd i2c-tools am33xx-cm3/host linux libav'

View File

@ -1,13 +1,14 @@
--- linux-4.4.66/arch/arm/boot/dts/Makefile 2017-09-25 13:07:10.353013618 +0100
+++ linux-4.4.66.tsm/arch/arm/boot/dts/Makefile 2017-09-25 13:11:13.523693878 +0100
@@ -463,6 +463,7 @@
am335x-evm.dtb \
diff -Nru linux-3.13.1/arch/arm/boot/dts/Makefile linux-3.13.1.rasm/arch/arm/boot/dts/Makefile
--- linux-3.13.1/arch/arm/boot/dts/Makefile 2014-01-29 13:06:37.000000000 +0000
+++ linux-3.13.1.rasm/arch/arm/boot/dts/Makefile 2014-02-01 06:53:43.968486026 +0000
@@ -198,6 +198,7 @@
am335x-evmsk.dtb \
am335x-nano.dtb \
am335x-bone.dtb \
am335x-boneblack.dtb \
+ am335x-lctr-b2xx.dtb \
am335x-pepper.dtb \
am335x-lxm.dtb \
am335x-chiliboard.dtb \
am335x-nano.dtb \
am335x-base0033.dtb \
am3517-evm.dtb \
diff -Nru linux-3.13.1/arch/arm/boot/dts/am335x-lctr-b2xx.dts linux-3.13.1.rasm/arch/arm/boot/dts/am335x-lctr-b2xx.dts
--- linux-3.13.1/arch/arm/boot/dts/am335x-lctr-b2xx.dts 1970-01-01 01:00:00.000000000 +0100
+++ linux-3.13.1.rasm/arch/arm/boot/dts/am335x-lctr-b2xx.dts 2014-02-01 06:51:48.273816483 +0000

View File

@ -3,4 +3,4 @@ cfg_storage='data0:ext4:/opt'
cfg_eth_ext_ip='10.0.20.105'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_packages='u-boot dropbear rsync busybox e2fsprogs ptpd i2c-tools am33xx-cm3/host linux opencv exiv2 libav'
cfg_packages='u-boot dropbear rsync busybox e2fsprogs ptpd i2c-tools am33xx-cm3/host linux libav'

View File

@ -3,5 +3,4 @@ cfg_storage='data0:ext4:/opt'
cfg_eth_ext_ip='10.0.20.110'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_services1='huawei'
cfg_packages='u-boot dropbear rsync busybox e2fsprogs ptpd i2c-tools uswitch ppp iptables am33xx-cm3/host linux opencv exiv2 libav'
cfg_packages='u-boot dropbear rsync busybox e2fsprogs ptpd i2c-tools am33xx-cm3/host linux libav'

File diff suppressed because it is too large Load Diff

View File

@ -3,15 +3,16 @@ cfg_storage='data0:ext4:/opt'
cfg_modules=''
cfg_services0='network dropbear storage upgrade syslog ptpd'
cfg_services2='dune'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind rpi-boot-firmware linux/rpi exiftool libusb'
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind rpi-boot-firmware linux/rpi'
cfg_target_linux_kernel='arch/arm/boot/zImage'
cfg_target_linux_dtb='arch/arm/boot/dts/bcm2709-rpi-2-b.dtb'
cfg_ptpd_interface='eth0'
cfg_eth_ext_mk='255.255.0.0'
cfg_eth_ext_gw='10.0.0.1'
cfg_terminal='tty1'
cfg_terminal='ttyAMA0'
cfg_partitions=\
(
rpi-boot BOOT0 512B 32MiB
rpi-boot boot0 512B 32MiB
root root0 32MiB 544MiB
data data0 544MiB -1
)

View File

@ -1,9 +1 @@
# Core.
arm_freq=1000
# Disable BT on Rpi3.
dtoverlay=pi3-disable-bt
# Enable RasPicam
start_x=1
gpu_mem=128

View File

@ -1,4 +0,0 @@
::sysinit:/sbin/services sysinit
::restart:/sbin/init
::respawn:-/usr/sbin/dropbear -F
::shutdown:/sbin/services syshalt

View File

@ -1,6 +0,0 @@
cfg_hostname='mariner-01'
cfg_eth_ext_ip='10.0.20.125'
cfg_packages="$cfg_packages opencv raspicam exiv2 libav iw"
cfg_modules="$cfg_modules ftdi_sio rt73usb"
cfg_services0='network-wlan dropbear storage upgrade syslog ptpd check_wlan'
cfg_ptpd_interface='wlan0'

View File

@ -1,4 +1,4 @@
cfg_hostname='nest-1'
cfg_eth_ext_ip='10.0.35.1'
cfg_services1='huawei'
cfg_eth_ext_ip='10.0.200.40'
cfg_packages="$cfg_packages ppp iptables"

View File

@ -1,9 +0,0 @@
cfg_hostname='test-rpi'
cfg_eth_ext_ip='10.0.200.52'
cfg_services1=''
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind rpi-boot-firmware linux/rpi exiftool libusb'
cfg_services0='network dropbear storage upgrade syslog ptpd'
cfg_modules="$cfg_modules ftdi_sio"
cfg_terminal='tty1'
cfg_ptpd_interface='eth0'

View File

@ -1,9 +0,0 @@
cfg_hostname='test-rpi'
cfg_eth_ext_ip='10.0.200.52'
cfg_services1=''
cfg_packages='dropbear rsync busybox e2fsprogs dosfstools ptpd rpcbind rpi-boot-firmware linux/rpi raspicam libjpeg-turbo v4l-utils uv4l iw'
cfg_services0='network-wlan dropbear storage upgrade syslog ptpd check_wlan'
cfg_modules="$cfg_modules ftdi_sio rt73usb"
cfg_terminal='tty1'
cfg_ptpd_interface='wlan0'

Some files were not shown because too many files have changed in this diff Show More